# TableLobbyConfig (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.lobby.table
Class TableLobbyConfig

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.crowd.data.PlaceConfig
              com.threerings.micasa.lobby.LobbyConfig
                  com.threerings.micasa.lobby.table.TableLobbyConfig

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class TableLobbyConfig

extends LobbyConfig

Instructs the lobby services to use a `TableListView` as the matchmaking component.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Constructor Summary
`TableLobbyConfig()`

Method Summary
`JComponent` `createMatchMakingView(MiCasaContext ctx)` Derived classes override this function and create the appropriate matchmaking user interface component.
`String` `getManagerClassName()`

Methods inherited from class com.threerings.micasa.lobby.LobbyConfig
`createController, getGameConfig, init`

Methods inherited from class com.threerings.crowd.data.PlaceConfig
`getControllerClass`

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableLobbyConfig

    public TableLobbyConfig()

Method Detail

### getManagerClassName

    public String getManagerClassName()

  Overrides:
    `getManagerClassName` in class `LobbyConfig`

### createMatchMakingView

    public JComponent createMatchMakingView(MiCasaContext ctx)

  Description copied from class: `LobbyConfig`
  Derived classes override this function and create the appropriate matchmaking user interface component.

  Overrides:
    `createMatchMakingView` in class `LobbyConfig`

Copyright © 2011. All Rights Reserved.